/* SHUT.CMD */
/*******************************************************************/
/*                                                                 */
/* MODULE NAME      SHUT.CMD                                       */
/*                                                                 */
/* DESCRIPTIVE NAME Demonstrates RxECI                             */
/*                                                                 */
/* Statement:       Licensed Materials - Property of IBM           */
/*                                                                 */
/*                  CA31 SupportPac                                */
/*                  (c) Copyright IBM Corp. 1994.                  */
/*                                                                 */
/*                  See Copyright Instructions.                    */
/*                                                                 */
/*                  All rights reserved.                           */
/*                                                                 */
/*                  U.S. Government Users Restricted Rights - use, */
/*                  duplication or disclosure restricted by GSA    */
/*                  ADP Schedule Contract with IBM Corp.           */
/*                                                                 */
/* Status:          Version 1 Release 0                            */
/*                                                                 */
/*  NOTES :-                                                       */
/*    DEPENDENCIES = OS/2 V2.x,CICS OS/2, RxECI                    */
/*                   None                                          */
/*    RESTRICTIONS = none                                          */
/*    MODULE TYPE  = Command file                                  */
/*    PROCESSOR    = PS/2 and PC                                   */
/*                                                                 */
/*******************************************************************/
/*                                                                 */
/*  This program demonstrates an ECI call to the program SHUTDOWN  */
/*                                                                 */
/*******************************************************************/
  If rxfuncquery('ECI') Then Do
     If rxfuncadd('ECI', 'RXECI', 'RxECI' ) Then signal failure
     say "ECI registered"
  End

  ECI.userid            = "SYSAD"
  ECI.password          = "SYSAD"
  ECI.program_name      = "SHUTDOWN"

  commarea2 =ECI('ECI.',commarea)
  say "rc =" ECI.return_code
  if (ECI.return_code = -7) then say "shutdown complete" /* SL 1 */
  if (ECI.return_code = -4) then say "shutdown complete" /* SL 0 */
  if (ECI.return_code = -3) then say "CICS was not running"

/* throw the following line away in non-development mode */
  rc = rxfuncdrop('ECI')

return 0

FAILURE:
  Say 'Failure to add function at line' sigl
  Address CMD "PAUSE"
  Return 1
